/*
  $Id: board.h 687 2006-01-26 12:18:44Z jens $

  Copyright (C) 2001-2006 Jens Thoms Toerring
 
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
  To contact the author send email to: jt@toerring.de
*/


/* File contains declarations of functions supplied by the hardware-dependent
   part of the driver, which are required by the hardware-independent part */


/* From init.c for the selected board */

extern bool board_init( Board_t * board );
extern void board_cleanup( Board_t * board );
extern int  board_release_control( Board_t * board );


/* From dma.c for the selected board */

extern bool board_irq_dma_init( Board_t * board );
extern void board_irq_dma_cleanup( Board_t * board );


/* From cmd.c for the selected board */

extern int board_cmd( Board_t * board );


/* From read.c for the selected board */

extern int board_read( Board_t * board );


/* From write.c for the selected board */

extern int board_write( Board_t * board );


/* From util.c for the selected board */

extern int  board_get_state( Board_t * board );
extern int  board_wait( Board_t * board,
			int       flags );
extern int  board_rpp( Board_t * board,
		       char *    c );
extern int  board_sic( Board_t * board );
extern int  board_gts( Board_t * board );
extern int  board_ren( Board_t * board,
		       bool      remote );
extern int  board_tca( Board_t * board );
extern int  board_tcs( Board_t * board );
extern void board_setup_eos_byte( Board_t * board );
extern void board_set_eos( Board_t * board );
extern void board_set_eosmode( Board_t *       board,
			       unsigned char   v );
extern void board_pad( Board_t * board );
extern void board_sad( Board_t * board );
extern unsigned int board_lines( Board_t * board );


/*
 * Local variables:
 * c-basic-offset: 8
 * c-indent-level: 8
 * c-brace-imaginary-offset: 0
 * c-brace-offset: 0
 * c-argdecl-indent: 4
 * c-label-ofset: -4
 * c-continued-statement-offset: 4
 * c-continued-brace-offset: 0
 * indent-tabs-mode: t
 * tab-width: 8
 * End:
 */
